---
{%- from "androidstudio/map.jinja" import androidstudio with context %}
androidstudio-archive-extract:
  archive.extracted:
    - name: {{ androidstudio.release_dir }}/androidstudio-{{ androidstudio.version }}
    - source: {{ androidstudio.mirror }}/{{ androidstudio.version }}/android-studio-ide-{{ androidstudio.tag }}-linux.tar.gz
    - skip_verify: true
    - archive_format: tar
    - overwrite: true
    - options: --strip 1
    - enforce_toplevel: false
    - if_missing: {{ androidstudio.release_dir }}/androidstudio-{{ androidstudio.version }}
    - watch:
      - file: androidstudio-link
      - file: androidstudio-shortcut

androidstudio-link:
  file.symlink:
    - name: {{ androidstudio.install_dir }}/androidstudio
    - target: {{ androidstudio.release_dir }}/androidstudio-{{ androidstudio.version }}
    - force: true

androidstudio-shortcut:
  file.managed:
    - name: /usr/share/applications/jetbrains-studio.desktop
    - source: salt://androidstudio/templates/jetbrains-studio.desktop.j2
    - user: root
    - group: root
    - mode: 644
    - template: jinja
