---
{%- from "apt/map.jinja" import apt with context %}
{% if apt.enabled %}
apt-deps:
  pkg.installed:
    - pkgs:
      - avahi-daemon
      - avahi-utils
      - apt-utils

apt-proxy-detect-go:
  file.managed:
    - name: /usr/local/bin/apt-proxy-detect
    - source: {{ apt.fetch_url }}/apt_{{ apt.arch }}
    - source_hash: {{ apt.fetch_url }}/hashes
    - template: jinja
    - mode: "0755"

{% for key, value in apt.config.items() -%}
apt-proxy-{{ key }}:
  file.managed:
    - name: /etc/apt/apt.conf.d/{{ key }}
    - user: root
    - group: root
    - mode: "0644"
    - contents: {{ value }}
{% endfor -%}
{% endif %}
