# vim: ft=sls
---
{% from "gitea/map.jinja" import gitea with context %}

git:
  group.present:
    - system: true
  user.present:
    - system: true
    - home: {{ gitea.workingdir }}
    - shell: /usr/sbin/nologin
    - groups:
      - {{ gitea.group }}
    - require:
      - group: {{ gitea.group }}
  pkg.installed: []

gitea-bin:
  file.managed:
    - name: {{ gitea.workingdir }}/gitea
    - source: "{{ gitea.release_url }}/{{ gitea.version }}/gitea-{{ gitea.version }}-{{ gitea.os }}-{{ gitea.arch }}"
    - source_hash: "{{ gitea.release_url }}/{{ gitea.version }}/gitea-{{ gitea.version }}-{{ gitea.os }}-{{ gitea.arch }}.sha256"
    - user: git
    - group: git
    - mode: 750
    - require:
      - git
