---
{%- from "go-aptproxy/map.jinja" import goaptproxy with context %}
go-aptproxy-archive-extract:
  archive.extracted:
    - name: {{ goaptproxy.release_dir }}/go-aptproxy-{{ goaptproxy.version }}
    - source: {{ goaptproxy.mirror }}/{{ goaptproxy.version }}/go-aptproxy-{{ goaptproxy.version }}-{{ goaptproxy.os }}-{{ goaptproxy.arch }}.tar.gz
    - skip_verify: true
    - enforce_toplevel: false
    - if_missing: {{ goaptproxy.release_dir }}/go-aptproxy-{{ goaptproxy.version }}
    - watch_in:
      - service: go-aptproxy-service

go-aptproxy-binary-symlink:
  file.symlink:
    - name: {{ goaptproxy.install_dir }}/go-aptproxy
    - target: {{ goaptproxy.release_dir }}/go-aptproxy-{{ goaptproxy.version }}
    - force: true
    - require:
      - archive: go-aptproxy-archive-extract
    - watch_in:
      - service: go-aptproxy-service

go-aptproxy-cleanup:
  software.cleanup:
    - name: go-aptproxy
    - path: {{ goaptproxy.release_dir }}
    - version: "{{ goaptproxy.version }}"
