---
{%- from "maildb/map.jinja" import maildb with context %}
maildb-pkg:
  pkg.installed:
    - pkgs:
      - python3
      - python3-psycopg2

maildb-user-vmail:
  user.present:
    - name: vmail
    - home: /home/vmail

maildb-apps-dir:
  file.directory:
    - name: {{ maildb.appdir }}
    - user: vmail
    - group: vmail
    - mode: "0755"
    - makedirs: true

maildb-script:
  file.managed:
    - name: {{ maildb.appdir }}/maildb.py
    - source: salt://maildb/templates/maildb.py
    - user: vmail
    - group: vmail
    - mode: "0755"
    - require:
      - file: maildb-apps-dir
