---
{%- from "molotov/map.jinja" import molotov with context %}
molotov-install:
  file.managed:
    - name: {{ molotov.dest_path }}/molotov.{{ molotov.version }}
    - source: {{ molotov.url }}/Molotov-{{ molotov.version }}.AppImage
    - skip_verify: true
    - user: root
    - group: root
    - mode: 755
    - if_missing: {{ molotov.dest_path }}/molotov.{{ molotov.version }}

molotov-symlink:
  file.symlink:
    - name: {{ molotov.dest_path }}/molotov
    - target: {{ molotov.dest_path }}/molotov.{{ molotov.version }}
    - user: root
    - group: root
    - mode: 755
    - require:
      - file: molotov-install

molotov-icon:
  file.managed:
    - name: {{ molotov.icon_path }}
    - source: salt://molotov/molotov.png
    - user: root
    - group: root
    - mode: 644
    - require:
      - file: molotov-install

molotov-desktop-entry:
  file.managed:
    - name: {{ molotov.desktop_entry_path }}
    - source: salt://molotov/templates/molotov.desktop.j2
    - template: jinja
    - user: root
    - group: root
    - mode: 644
    - require:
      - file: molotov-install
