---
{%- from "neovim/map.jinja" import neovim with context %}
neovim-plugin-git-dep:
  pkg.installed:
    - pkgs:
        - git
        - python3-jedi
        - yamllint

neovim-plugin-dirs:
  file.directory:
    - name: {{ neovim.plugins_dir }}
    - makedirs: true

{%- for name, value in neovim.plugins.items() %}
neovim-plugin-{{ name }}:
  git.latest:
    - name: {{ value.url }}
    - target: {{ neovim.plugins_dir }}/{{ name }}
    - rev: {{ value.rev|default('HEAD') }}
    - force_reset: true
    - submodules: true
    - parallel: true
    - require:
      - file: neovim-plugin-dirs
{%- endfor %}
