---
{%- from "nextcloud/map.jinja" import nextcloud with context %}
{%- set _ = nextcloud.config.update({"version": salt['nextcloud.get_version'](nextcloud.install_dir + "/nextcloud/version.php")}) %}
nextcloud-config:
  file.managed:
    - name: {{ nextcloud.install_dir }}/nextcloud/config/config.php
    - source: salt://nextcloud/templates/config.php.j2
    - user: {{ nextcloud.user }}
    - group: {{ nextcloud.group }}
    - template: jinja
    - context:
        nextcloud: {{ nextcloud }}

nextcloud-upgrade:
  cmd.run:
    - name: php {{ nextcloud.install_dir }}/nextcloud/occ upgrade
    - runas: {{ nextcloud.user }}
    - onchanges:
      - archive: nextcloud-archive

nextcloud-add-missing-indices:
  cmd.run:
    - name: php {{ nextcloud.install_dir }}/nextcloud/occ db:add-missing-indices
    - runas: {{ nextcloud.user }}
    - onchanges:
      - archive: nextcloud-archive
