---
{%- from "nextcloud/map.jinja" import nextcloud with context %}
nextcloud-archive:
  archive.extracted:
    - name: {{ nextcloud.release_dir }}/nextcloud-{{ nextcloud.version }}
    - source: {{ nextcloud.mirror }}/nextcloud-{{ nextcloud.version }}.tar.bz2
    - skip_verify: true
    - archive_format: tar
    - enforce_toplevel: false
    - options: --strip 1
    - user: {{ nextcloud.user }}
    - group: {{ nextcloud.group }}
    - if_missing: {{ nextcloud.release_dir }}/nextcloud-{{ nextcloud.version }}
    - watch_in:
      service: php-fpm-service

nextcloud-install-link:
  file.symlink:
    - name: {{ nextcloud.install_dir }}/nextcloud
    - target: {{ nextcloud.release_dir }}/nextcloud-{{ nextcloud.version }}
    - force: true
    - watch_in:
      service: php-fpm-service

nextcloud-datadirectory:
  file.directory:
    - name: {{ nextcloud.config.datadirectory }}
    - user: {{ nextcloud.user }}
    - group: {{ nextcloud.group }}

nextcloud-cleanup:
  software.cleanup:
    - name: nextcloud
    - path: {{ nextcloud.release_dir }}
    - version: "{{ nextcloud.version }}"
