---
{%- from "rclone/map.jinja" import rclone with context %}
rclone-archive-extract:
  archive.extracted:
    - name: {{ rclone.release_dir }}
    - source: {{ rclone.mirror }}/v{{ rclone.version }}/rclone-v{{ rclone.version }}-{{ rclone.os }}-{{ rclone.arch }}.zip
    - skip_verify: true
    - enforce_toplevel: false
    - if_missing: {{ rclone.release_dir }}/rclone-v{{ rclone.version }}-{{ rclone.os }}-{{ rclone.arch }}/rclone

rclone-binary-symlink:
  file.symlink:
    - name: /usr/local/bin/rclone
    - target: {{ rclone.release_dir }}/rclone-v{{ rclone.version }}-{{ rclone.os }}-{{ rclone.arch }}/rclone
    - force: true
    - require:
      - archive: rclone-archive-extract

rclone-cleanup:
  software.cleanup:
    - name: rclone
    - path: {{ rclone.release_dir }}
    - version: "v{{ rclone.version }}"
