---
{%- from "telegraf/map.jinja" import telegraf with context %}
telegraf-config-dir:
  file.directory:
    - name: /etc/telegraf
    - user: root
    - group: root
    - mode: 700

{% for cfg, value in telegraf.config.items() %}
telegraf-config-{{ cfg }}-file:
  file.managed:
    - name: /etc/telegraf/{{ cfg }}.conf
    - source: salt://telegraf/templates/telegraf.conf.j2
    - user: root
    - group: root
    - mode: 600
    - template: jinja
    - context:
        config: {{ value }}
    - watch_in:
      - service: telegraf-{{ cfg }}-service
{% endfor %}
