---
{%- from "telegraf/map.jinja" import telegraf with context %}
telegraf-service-file:
  file.managed:
    - name: /etc/systemd/system/telegraf@.service
    - source: salt://telegraf/templates/telegraf.service.j2
    - user: root
    - group: root
    - template: jinja

{% for cfg, value in telegraf.config.items() %}
telegraf-{{ cfg }}-service:
  service.running:
    - name: telegraf@{{ cfg }}
    - enable: true
    - watch:
      - archive: telegraf-archive-extract
      - file: telegraf-service-file
      - file: telegraf-bin-symlink
      - file: telegraf-defaults-file
      - file: telegraf-config-dir
{% endfor %}
