---
{%- from "thunderbird/map.jinja" import thunderbird with context %}
thunderbird-archive-extract:
  archive.extracted:
    - name: {{ thunderbird.release_dir }}/thunderbird-{{ thunderbird.version }}
    - source: {{ thunderbird.mirror }}/{{ thunderbird.version }}/{{ thunderbird.platform }}/{{ thunderbird.lang }}/thunderbird-{{ thunderbird.version }}.tar.bz2
    - skip_verify: true
    - archive_format: tar
    - enforce_toplevel: false
    - options: --strip 1
    - keep: true
    - if_missing: {{ thunderbird.release_dir }}/thunderbird-{{ thunderbird.version }}/thunderbird

thunderbird-symlink:
  file.symlink:
    - name: {{ thunderbird.install_dir }}/thunderbird
    - target: {{ thunderbird.release_dir }}/thunderbird-{{ thunderbird.version }}
    - force: true
    - require:
      - archive: thunderbird-archive-extract

thunderbird-bin-symlink:
  file.symlink:
    - name: /usr/bin/thunderbird
    - target: {{ thunderbird.install_dir }}/thunderbird/thunderbird
    - force: true
    - require:
      - archive: thunderbird-archive-extract

thunderbird-shortcut:
  file.managed:
    - name: /usr/share/applications/thunderbird.desktop
    - source: salt://thunderbird/templates/thunderbird.desktop.j2
    - user: root
    - group: root
    - mode: 644
    - template: jinja
    - require:
      - archive: thunderbird-archive-extract

thunderbird-icon:
  file.managed:
    - name: /usr/share/icons/thunderbird.png
    - source: /usr/local/apps/thunderbird/chrome/icons/default/default128.png
    - user: root
    - group: root
    - mode: 644

thunderbird-cleanup:
  software.cleanup:
    - name: thunderbird
    - path: {{ thunderbird.release_dir }}
    - version: "{{ thunderbird.version }}"
